#ifndef __SPU_VERSION__
#define __SPU_VERSION__

#define MAX_BUF_VERSION_LEN     (128)

typedef struct SpuVersionInfo {
    char platform_commit[MAX_BUF_VERSION_LEN];
    char platform_tag[MAX_BUF_VERSION_LEN];
    char platform_build_date[MAX_BUF_VERSION_LEN/2];
} SpuVersionInfo_t;


void spu_show_version(void);
int32_t spu_version_get(SpuVersionInfo_t *pVersion);


#endif  /* __SPU_VERSION__ */
